Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1420947 - Container Review Request: nginx - F25 docker container with nginx
Summary: Container Review Request: nginx - F25 docker container with nginx
Keywords:
Status: CLOSED DUPLICATE of bug 1421605
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-09 23:16 UTC by Mike Ruckman
Modified: 2017-02-22 16:29 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-22 16:29:08 UTC
Type: ---


Attachments (Terms of Use)

Description Mike Ruckman 2017-02-09 23:16:03 UTC
Dockerfile URL: https://roshi.fedorapeople.org/containers/nginx/Dockerfile
Source URL: https://roshi.fedorapeople.org/containers/nginx/
Description: This builds a container with nginx.
Fedora Account System Username: roshi

Comment 1 Honza Horak 2017-02-15 13:39:34 UTC
Hi Mike,

It's funny coincidence, that I've created a similar container review request for nginx:
https://bugzilla.redhat.com/show_bug.cgi?id=1421605

That one is a bit more complicated, as you see can see from the Dockerfile, but it will work fine with OpenShift, which is IMO very important.

What do you think? Would you be in favor to give way to the BZ#1421605?

Comment 2 Mike Ruckman 2017-02-15 14:21:38 UTC
I saw the comment on the pagure ticket first [0], so I'll just copy my response here:

I'm fine with that provided the BZ#1421605 Dockerfile gets updated to meet the same specifications as far FROM being the official fedora registry and keeping the label conventions in BZ#1420947. Those come from the guidelines on the wiki here: https://fedoraproject.org/wiki/Container:Guidelines

Does that work Honza? Thanks for pointing out the duplicate! I guess I shoulda looked around for those before...

[0] https://pagure.io/atomic-wg/issue/206

Comment 3 Mike Ruckman 2017-02-22 16:29:08 UTC

*** This bug has been marked as a duplicate of bug 1421605 ***


Note You need to log in before you can comment on or make changes to this bug.